Subject: Re: [PATCH v2] git checkout -b: unparent the new branch with -o

From: Junio C Hamano <[email-masked]>
Date: Sat, 13 Mar 2010 01:42:22 -0800

Jakub Narebski <[email-masked]> writes:

> BUT in the case of 'html' and 'man' branches I could see why current
> implementation of _removing index and not removing files_ might be
> advantageous.  Remove index, create HTML and manpage version of
> documentation, and add HTML (in 'html' branch) or manpages (in 'man'
> branch)... probably shifting root, so it is not all in single
> Documentation directory.

When you have some spare time, I'd recommend you to read dodoc.sh script
in the 'todo' branch.  These preformatted documentation branches are
coming from their own repositories, very much on purpose.

> Just my 2 eurocents.

Already?